OIDC and .NET version compatibility

Is there any compatibility requirements with OIDC and .NEt versions being used by legacy apps??